<?php
require_once './Control/ControlProduto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (!isset($lang))
{
	$lang = 'pt';
} else 
{
	if ($lang == 'undefined')
	{
		$lang = 'pt';
	}
}
$controlProduto = new ControlProduto();
if ($acao == 'inserir')
{
        $produto = $controlProduto->pegarUmProduto($pk);
        echo 'Novo registro para galeria: <b>' . $produto->getNome() . '</b>';
	$produtoCategoria = new Produtocategoria();
        $produtoCategoria->setProdutoid($pk);
        $pk = '';
} else
{
	$produtoCategoria = $controlProduto->pegarUmProdutoCategoria($pk);
}
$arquivoGrid = 'adm_produtoCategoriaGrid.php';
?>
<form name="frmProdutoCategoria" id="frmProdutoCategoria" action="adm_produtoCategoriaCMD.php" method="post">
    <input id="hacao" name="acao" type="hidden" value="<?php echo $acao?>">
    <input id="lang" name="lang" type="hidden" value="<?php echo $lang?>">
    <input id="produtoid" name="produtoid" type="hidden" value="<?php echo $produtoCategoria->getProdutoid()?>">
    <input id="arqFrm" name="arqFrm" type="hidden" value="<?php echo end(explode("/", $_SERVER['PHP_SELF']))?>">
	<fieldset>
		<label>Categoria</label>
		<section><label for="pcpk">ID</label>
                    <div><input  readonly="true" type="text" id="pcpk" name="pcpk" value="<?php echo $produtoCategoria->getProdutocategoriaid(); ?>" placeholder="Este campo é gerido de forma automática."></div>
		</section>
                <section>
                    <label for="cbCategoriaID">Categoria</label>
                    <div>					
                        <select name="cbCategoriaID" id="cbCategoriaID">
                            <optgroup label="Categoria">
                                <?php
                                   $categoria = $controlProduto->pegarTodosCategoria();
                                   Utilidades::formselectorOpcaoMarcada('0','Nenhum','null');
                                   while ($categoria->fetch())
                                   {
                                            Utilidades::formselectorOpcaoMarcada($categoria->getCategoriaid(),$categoria->gNome(),$produtoCategoria->getCategoriaid());
                                   }
                                 ?>
                            </optgroup>
                        </select>
                    </div>
		</section>
                <section>
                    <div><button onclick="mostrarArquivoDados('<?php echo $arquivoGrid; ?>','#divCategoria','pk=<?php echo $produtoCategoria->getProdutoid();?>');" >Cancelar</button><button id="salvar" class="submit" name="submitbuttonname" value="submitbuttonvalue">Salvar</button></div>
		</section>
	</fieldset>
</form>
<?php
      //FormAjax::javascriptTrocarIdioma('adm_produtoCategoriaForm.php','#divCategoria', 'fnIdiomaDivFotos');
      FormAjax::PrepararFormAjax('#frmProdutoCategoria');
?>